; -*- lexical-binding: t; -*-

(setq inhibit-startup-message t) 
(setq initial-scratch-message nil)

;; Disable menu, tool and scroll bars
(menu-bar-mode -1)  
(tool-bar-mode -1) 
(scroll-bar-mode -1)

;; line numbers
(global-display-line-numbers-mode 1)

;; word wrap over lines
(global-visual-line-mode t)

;; Add small window fringes
(set-fringe-mode 10)

;; Management of basic paths and caches
(setq user-emacs-directory (expand-file-name "~/.cache/emacs/")
      url-history-file (expand-file-name "url/history" user-emacs-directory))

(setq auto-save-file-name-transforms
          `((".*" ,(concat user-emacs-directory "auto-save/") t)))
(setq backup-directory-alist '(("" . "~/.emacs.d/emacs-backup")))

(setq custom-file (concat user-emacs-directory "custom.el"))
(when (file-exists-p custom-file)
  (load custom-file))

(provide 'jg-core)
